Name:		libchewing
Version:	0.2.7
Release: 1%{?dist}.2.1
Summary:      Intelligent phonetic input method library for Traditional Chinese

Group: 		System Environment/Libraries
License:	GPL
URL:		http://chewing.csie.net/
Source:   http://chewing.csie.net/download/libchewing/%{name}-%{version}.tar.gz
BuildRoot:  	%{_tmppath}/%{name}-%{version}-root

%description
libchewing is an intelligent phonetic input method library for Chinese.

It provides the core algorithm and logic that can be used by various
input methods.  The Chewing input method is a smart bopomofo phonetics
input method that is useful for inputting Mandarin Chinese.


%package  -n %{name}-devel
Summary:	Development files for libchewing
Group: 		Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig

%description -n %{name}-devel
Headers and other files needed to develop applications using the %name library.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install

rm $RPM_BUILD_ROOT%{_libdir}/libchewing.{a,la}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING INSTALL
%dir %{_datadir}/chewing
%{_datadir}/chewing/*
%attr(755, root, root) %{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%dir %{_includedir}/chewing
%{_includedir}/chewing/*
%{_libdir}/pkgconfig/chewing.pc
%{_libdir}/*.so

%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.2.7-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.2.7-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Aug 16 2005 Jens Petersen <petersen@redhat.com> - 0.2.7-1
- Initial build for Fedora Core
- cleanup spec file according to Fedora standard

* Fri Dec 31 2004 rabit <rabit@ipserv.org> 0.2.5-fc3
- update for 0.2.5. and fedora core 3

* Thu Oct 8 2004 rabit <rabit@ipserv.org> 0.2.4-fc2
- update for 0.2.4.

* Thu Oct 7 2004 rabit <rabit@ipserv.org> 0.2.3-fc2
- Initial build.
